Subject: bug#69738: Followup

From: Eli Zaretskii <[email-masked]>
Date: Mon, 13 May 2024 13:53:24 +0300

> From: [email-masked]
> Cc: [email-masked]
> Date: Sun, 12 May 2024 23:42:17 +0100
> 
> > Ping!  Could you please try the patch I propose below?
> 
> I was attempting to try the patch, but I don't know how to incorporate
> your changes unless by manually rewriting rmail.el: is there an
> automatic way of doing it?

Semi-automatic.  First, patch rmail.el:

  $ patch -d /path/to/rmail.el -p3 < PATCH-FILE

(where PATCH-FILE is the file to which you copy the patch I sent, and
/path/to/rmail.el is the absolute file name of rmail.el on your
system.)

Then byte-compile and load the patched rmail.el:

  $ emacs -nw
  C-x C-f /path/to/rmail.el
  M-x emacs-lisp-byte-compile-and-load RET

Now you have the modified rmail.el byte-compiled and loaded into your
session, and can try the recipes that previously didn't work.

Thanks.